databaseConnector.h File Reference
`#include "../../core/logger.h"`
`#include <map>`
`#include <vector>`
`#include <string>`
Include dependency graph for databaseConnector.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | DatabaseConnector

## Typedefs

typedef std::vector< std::string > | Ngram
typedef std::vector< Ngram > | NgramTable

## Typedef Documentation

## Ngram

typedef std::vector<std::string> Ngram

Definition at line 37 of file databaseConnector.h.

## NgramTable

typedef std::vector<Ngram> NgramTable

Definition at line 38 of file databaseConnector.h.